
QGIS Application - Bug report #8773

Adding WMS layer crashes QGIS

2013-10-04 03:27 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category: Web Services clients/WMS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17479

Description

A few days ago it was pointed that adding WMS layers to QGIS was crashing it and I wasn't able to confirm it at that time.

Today I found that adding a WMS layer (source is a sample shapefile) from a Mapserver server is causing qgis to crash. It is instant crash

on Windows, while on Linux it can take a few zoom in/outs to crash or freeze.

To replicate:

    -  use this server

http://mapserver.uevora.pt/cgi-bin/mapserv?map=/home/mapserver/mapfiles/tests/ubc_ortofotomapas_portugal.map

    -  add the "enquadramento_1995" layer as PNG with EPSG 3763 in a empty project.

    -  play around -> crash

Messages in the terminal are

qgis.bin: malloc.c:3801: _int_malloc: Assertion `(unsigned long)(size) >= (unsigned long)(nb)' failed.

Aborted (core dumped)

*** glibc detected *** /usr/bin/qgis.bin: malloc(): memory corruption: 0x0000000007401590 ***

Killed

@*** glibc detected * /usr/bin/qgis.bin: double free or corruption (!prev): 0x0000000006c86120 *======= Backtrace: =========

/lib/x86_64-linux-gnu/libc.so.6(+0x7eb96)[0x7faff5f7db96]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(ZN10QImageDataD1Ev+0xc5)[0x7faff7fe33f5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN6QImageaSERKS_+0x48)[0x7faff7fe6578]

/usr/lib/libqgis_core.so.2.0.1(_ZN14QgsRasterBlock7convertEN4QGis8DataTypeE+0x111)[0x7faff9cab6d1]

/usr/lib/libqgis_core.so.2.0.1(_ZN30QgsSingleBandColorDataRenderer5blockEiRK12QgsRectangleii+0x185)[0x7faff9ce4c15]

/usr/lib/libqgis_core.so.2.0.1(_ZN27QgsBrightnessContrastFilter5blockEiRK12QgsRectangleii+0x60)[0x7faff9ce7cd0]

/usr/lib/libqgis_core.so.2.0.1(_ZN22QgsHueSaturationFilter5blockEiRK12QgsRectangleii+0x64)[0x7faff9ce8ab4]

/usr/lib/libqgis_core.so.2.0.1(_ZN23QgsRasterResampleFilter5blockEiRK12QgsRectangleii+0x32f)[0x7faff9cda63f]

/usr/lib/libqgis_core.so.2.0.1(_ZN18QgsRasterProjector5blockEiRK12QgsRectangleii+0x55)[0x7faff9cb6dd5]

/usr/lib/libqgis_core.so.2.0.1(_ZN17QgsRasterIterator18readNextRasterPartEiRiS0_PP14QgsRasterBlockS0_S0_+0x199)[0x7faff9cb

b39]

/usr/lib/libqgis_core.so.2.0.1(_ZN15QgsRasterDrawer4drawEP8QPainterP17QgsRasterViewPortPK13QgsMapToPixel+0x9d)[0x7faff9

d1b2d]

/usr/lib/libqgis_core.so.2.0.1(_ZN14QgsRasterLayer4drawEP8QPainterP17QgsRasterViewPortPK13QgsMapToPixel+0x95)[0x7faff9c

f715]

/usr/lib/libqgis_core.so.2.0.1(_ZN14QgsRasterLayer4drawER16QgsRenderContext+0x404)[0x7faff9cc6154]
/usr/lib/libqgis_core.so.2.0.1(_ZN14QgsMapRenderer6renderEP8QPainterPd+0xa89)[0x7faff9b5dff9]

/usr/lib/libqgis_gui.so.2.0.1(_ZN15QgsMapCanvasMap6renderEv+0x103)[0x7faff958ab23]

/usr/lib/libqgis_gui.so.2.0.1(_ZN12QgsMapCanvas7refreshEv+0x51d)[0x7faff95853cd]

/usr/lib/libqgis_gui.so.2.0.1(_ZN12QgsMapCanvas10wheelEventEP11QWheelEvent+0x1d9)[0x7faff9588fb9]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0xec4)[0x7faff7f77984]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN6QFrame5eventEP6QEvent+0x26)[0x7faff83373b6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN13QGraphicsView13viewportEventEP6QEvent+0x7b)[0x7faff8561b2b]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate29sendThroughObjectEventFiltersEP7QObjectP6QEvent+0x8

)[0x7faff8ba4028]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x7f)[0x7faff7f2685f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x970)[0x7faff7f2bf70]

/usr/lib/libqgis_core.so.2.0.1(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7faff9ab31a6]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7faff8ba3e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x238932)[0x7faff7f93932]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24be6d)[0x7faff7fa6e6d]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7faff7fa5bae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7faff7fcf0d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7faff4a61d53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7faff4a620a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7faff4a62164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFl

gEE+0x6f)[0x7faff8bd33bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7faff7fced5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7faff8b

2c82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7faff8ba2ed7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7faff8ba7f67]

/usr/bin/qgis.bin(main+0x23ae)[0x4e48be]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7faff5f2076d]

/usr/bin/qgis.bin[0x4e88b1]======= Memory map: ========

00400000-00ad3000 r-xp 00000000 08:03 16139331                           /usr/bin/qgis.bin

00cd3000-00cd5000 r--p 006d3000 08:03 16139331                           /usr/bin/qgis.bin

00cd5000-00cdc000 rw-p 006d5000 08:03 16139331                           /usr/bin/qgis.bin

00cdc000-00cdf000 rw-p 00000000 00:00 0 

01ee0000-07569000 rw-p 00000000 00:00 0                                  [heap]

7fafb0000000-7fafb0021000 rw-p 00000000 00:00 0 

7fafb0021000-7fafb4000000 ---p 00000000 00:00 0 

7fafb4000000-7fafb402c000 rw-p 00000000 00:00 0 

7fafb402c000-7fafb8000000 ---p 00000000 00:00 0 

7fafbb7ff000-7fafbb800000 ---p 00000000 00:00 0 

7fafbb800000-7fafbc000000 rw-p 00000000 00:00 0 

7fafbc000000-7fafbc026000 rw-p 00000000 00:00 0 

7fafbc026000-7fafc0000000 ---p 00000000 00:00 0 

7fafc0138000-7fafc013f000 r-xp 00000000 08:03 18222518                   /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7fafc013f000-7fafc033e000 ---p 00007000 08:03 18222518                   /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7fafc033e000-7fafc033f000 r--p 00006000 08:03 18222518                   /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7fafc033f000-7fafc0340000 rw-p 00007000 08:03 18222518                   /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7fafc0340000-7fafc0342000 r-xp 00000000 08:03 18219061                   /lib/libnss_mdns4_minimal.so.2

7fafc0342000-7fafc0541000 ---p 00002000 08:03 18219061                   /lib/libnss_mdns4_minimal.so.2

7fafc0541000-7fafc0542000 r--p 00001000 08:03 18219061                   /lib/libnss_mdns4_minimal.so.2

7fafc0542000-7fafc0543000 rw-p 00002000 08:03 18219061                   /lib/libnss_mdns4_minimal.so.2

7fafc0543000-7fafc0544000 ---p 00000000 00:00 0 

7fafc0544000-7fafc0d44000 rw-p 00000000 00:00 0 
7fafc0d44000-7fafc0d6e000 r-xp 00000000 08:03 16517012                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7fafc0d6e000-7fafc0f6e000 ---p 0002a000 08:03 16517012                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7fafc0f6e000-7fafc0f70000 r--p 0002a000 08:03 16517012                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7fafc0f70000-7fafc0f71000 rw-p 0002c000 08:03 16517012                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7fafc0f71000-7fafc0f7d000 r-xp 00000000 08:03 16517011                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7fafc0f7d000-7fafc117d000 ---p 0000c000 08:03 16517011                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7fafc117d000-7fafc117e000 r--p 0000c000 08:03 16517011                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7fafc117e000-7fafc117f000 rw-p 0000d000 08:03 16517011                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7fafc117f000-7fafc11fa000 r-xp 00000000 08:03 16123076                   /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7fafc11fa000-7fafc13fa000 ---p 0007b000 08:03 16123076                   /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7fafc13fa000-7fafc13fb000 r--p 0007b000 08:03 16123076                   /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7fafc13fb000-7fafc13fc000 rw-p 0007c000 08:03 16123076                   /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7fafc13fc000-7fafc13fd000 ---p 00000000 00:00 0 

7fafc13fd000-7fafc1e98000 rw-p 00000000 00:00 0 

7fafc1e98000-7fafc23c9000 rw-s 00000000 00:04 1736717                    /SYSV00000000 (deleted)

7fafc23c9000-7fafc23cd000 r-xp 00000000 08:03 16516837                  

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7fafc23cd000-7fafc25cd000 ---p 00004000 08:03 16516837                  

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7fafc25cd000-7fafc25ce000 r--p 00004000 08:03 16516837                  

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7fafc25ce000-7fafc25cf000 rw-p 00005000 08:03 16516837                  

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7fafc2666000-7fafc26fc000 r--p 00000000 08:03 17173085                   /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Oblique.ttf

7fafc26fc000-7fafc2792000 r--p 00000000 08:03 17173083                   /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-BoldOblique.ttf

7fafc2792000-7fafc27cf000 r-xp 00000000 08:03 16517014                  

/usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7fafc27cf000-7fafc29cf000 ---p 0003d000 08:03 16517014                   /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7fafc29cf000-7fafc29d1000 r--p 0003d000 08:03 16517014                  

/usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7fafc29d1000-7fafc29d2000 rw-p 0003f000 08:03 16517014                  

/usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7fafc2c79000-7fafc2cde000 r-xp 00000000 08:03 16393341                  

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7fafc2cde000-7fafc2edd000 ---p 00065000 08:03 16393341                  

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7fafc2edd000-7fafc2ee0000 r--p 00064000 08:03 16393341                  

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7fafc2ee0000-7fafc2ee1000 rw-p 00067000 08:03 16393341                  

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7fafc2ee1000-7fafc2f18000 r-xp 00000000 08:03 16393345                   /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7fafc2f18000-7fafc3118000 ---p 00037000 08:03 16393345                   /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7fafc3118000-7fafc311a000 r--p 00037000 08:03 16393345                   /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7fafc311a000-7fafc311b000 rw-p 00039000 08:03 16393345                   /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7fafc311b000-7fafc3129000 r-xp 00000000 08:03 16393347                   /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7fafc3129000-7fafc3328000 ---p 0000e000 08:03 16393347                   /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7fafc3328000-7fafc3329000 r--p 0000d000 08:03 16393347                   /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7fafc3329000-7fafc332a000 rw-p 0000e000 08:03 16393347                   /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7fafc332a000-7fafc336c000 r-xp 00000000 08:03 16393346                   /usr/lib/pyshared/python2.7/matplotlib/_image.so

7fafc336c000-7fafc356c000 ---p 00042000 08:03 16393346                   /usr/lib/pyshared/python2.7/matplotlib/_image.so

7fafc356c000-7fafc356e000 r--p 00042000 08:03 16393346                   /usr/lib/pyshared/python2.7/matplotlib/_image.so

7fafc356e000-7fafc3570000 rw-p 00044000 08:03 16393346                   /usr/lib/pyshared/python2.7/matplotlib/_image.so

7fafc3570000-7fafc3575000 r-xp 00000000 08:03 16393350                   /usr/lib/pyshared/python2.7/matplotlib/_cntr.so
7fafc3575000-7fafc3775000 ---p 00005000 08:03 16393350                   /usr/lib/pyshared/python2.7/matplotlib/_cntr.so

7fafc3775000-7fafc3776000 r--p 00005000 08:03 16393350                   /usr/lib/pyshared/python2.7/matplotlib/_cntr.so

7fafc3776000-7fafc3777000 rw-p 00006000 08:03 16393350                   /usr/lib/pyshared/python2.7/matplotlib/_cntr.so

7fafc3777000-7fafc379d000 r-xp 00000000 08:03 16393343                   /usr/lib/pyshared/python2.7/matplotlib/_png.so

7fafc379d000-7fafc399c000 ---p 00026000 08:03 16393343                   /usr/lib/pyshared/python2.7/matplotlib/_png.so

7fafc399c000-7fafc399e000 r--p 00025000 08:03 16393343                   /usr/lib/pyshared/python2.7/matplotlib/_png.so

7fafc399e000-7fafc399f000 rw-p 00027000 08:03 16393343                   /usr/lib/pyshared/python2.7/matplotlib/_png.so

7fafc399f000-7fafc39a1000 r-xp 00000000 08:03 16393349                   /usr/lib/pyshared/python2.7/matplotlib/nxutils.so

7fafc39a1000-7fafc3ba0000 ---p 00002000 08:03 16393349                   /usr/lib/pyshared/python2.7/matplotlib/nxutils.so

7fafc3ba0000-7fafc3ba1000 r--p 00001000 08:03 16393349                   /usr/lib/pyshared/python2.7/matplotlib/nxutils.so

7fafc3ba1000-7fafc3ba2000 rw-p 00002000 08:03 16393349                   /usr/lib/pyshared/python2.7/matplotlib/nxutils.so

7fafc3ba2000-7fafc3be6000 r-xp 00000000 08:03 16393348                   /usr/lib/pyshared/python2.7/matplotlib/ft2font.so

7fafc3be6000-7fafc3de5000 ---p 00044000 08:03 16393348                   /usr/lib/pyshared/python2.7/matplotlib/ft2font.so

7fafc3de5000-7fafc3de8000 r--p 00043000 08:03 16393348                   /usr/lib/pyshared/python2.7/matplotlib/ft2font.so

7fafc3de8000-7fafc3dea000 rw-p 00046000 08:03 16393348                   /usr/lib/pyshared/python2.7/matplotlib/ft2font.so

7fafc3dea000-7fafc3deb000 rw-p 00000000 00:00 0 

7fafc3deb000-7fafc3e2d000 r-xp 00000000 08:03 16393351                   /usr/lib/pyshared/python2.7/matplotlib/_path.so

7fafc3e2d000-7fafc402d000 ---p 00042000 08:03 16393351                   /usr/lib/pyshared/python2.7/matplotlib/_path.so

7fafc402d000-7fafc402f000 r--p 00042000 08:03 16393351                   /usr/lib/pyshared/python2.7/matplotlib/_path.so

7fafc402f000-7fafc4030000 rw-p 00044000 08:03 16393351                   /usr/lib/pyshared/python2.7/matplotlib/_path.so

7fafc4030000-7fafc4038000 r-xp 00000000 08:03 16384245                   /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.so

7fafc4038000-7fafc4237000 ---p 00008000 08:03 16384245                   /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.so

7fafc4237000-7fafc4238000 r--p 00007000 08:03 16384245                   /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.so

7fafc4238000-7fafc4239000 rw-p 00008000 08:03 16384245                   /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.so

7fafc4239000-7fafc4242000 r-xp 00000000 08:03 19403457                   /usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.so

7fafc4242000-7fafc4442000 ---p 00009000 08:03 19403457                   /usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.so

7fafc4442000-7fafc4443000 r--p 00009000 08:03 19403457                   /usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.so

7fafc4443000-7fafc4444000 rw-p 0000a000 08:03 19403457                  

/usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.so

7fafc4444000-7fafc44c1000 r-xp 00000000 08:03 19403456                   /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.so

7fafc44c1000-7fafc46c1000 ---p 0007d000 08:03 19403456                   /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.so

7fafc46c1000-7fafc46c2000 r--p 0007d000 08:03 19403456                   /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.so

7fafc46c2000-7fafc46c7000 rw-p 0007e000 08:03 19403456                   /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.so

7fafc46c7000-7fafc46ca000 rw-p 00000000 00:00 0 

7fafc46ca000-7fafc46df000 r-xp 00000000 08:03 19403454                   /usr/lib/python2.7/dist-packages/scipy/spatial/ckdtree.soAborted

(core dumped)

@

Associated revisions

Revision 2b8197f1 - 2013-10-17 11:15 AM - Radim Blazek

fix set image no data, fixes #8773

History

#1 - 2013-10-04 04:08 PM - Giovanni Manghi

ps

no  crash on 1.8
#2 - 2013-10-05 03:02 AM - Radim Blazek

I cannot reproduce (master/Debian 7) but I have suspicion where it could come from:

// qgsrasterblock.h:365

  QImage *mImage;

// qgsrasterblock.cpp:674

    QImage image = mImage->convertToFormat( format );

    *mImage = image;

unfortunately I don't any see obvious bug. New mImage is allocated in QgsRasterDataProvider::block, in WMS case with type QGis::ARGB32 (i.e.

QImage::Format_ARGB32).

QImage image = mImage->convertToFormat( format ) returns converted QImage (QGis::ARGB32_Premultiplied) and assigns it to 'image' as value.

Assignment *mImage = image should dereferences original data of mImage, set data from image and increase number of data references.

I cannot find where image data are double freed or corrupted. Ideas from C++/Qt experts are welcome.

#3 - 2013-10-05 03:16 AM - Giovanni Manghi

Of the CRSs that the server make available this happens just with EPSG 3763, maybe is a projection support issue?

I see that also reprojecting the wms causes crash, but if I'm not wrong you should have already fixed it in master, right?

#4 - 2013-10-05 03:24 AM - Radim Blazek

Giovanni Manghi wrote:

Of the CRSs that the server make available this happens just with EPSG 3763, maybe is a projection support issue?

Different projection should not make any difference, if not reprojected in QGIS.

I see that also reprojecting the wms causes crash, but if I'm not wrong you should have already fixed it in master, right?

I fixed only identify WMS with reprojection #8724.

#5 - 2013-10-05 03:27 AM - Giovanni Manghi

Radim Blazek wrote:

Giovanni Manghi wrote:
Of the CRSs that the server make available this happens just with EPSG 3763, maybe is a projection support issue?

Different projection should not make any difference, if not reprojected in QGIS.

it is making in this case. I can replicate this on both Windows and Linux.

I fixed only identify WMS with reprojection #8724.

ok,

so this #5896 is fixed, right?

#6 - 2013-10-06 08:45 AM - Giovanni Manghi

Different projection should not make any difference, if not reprojected in QGIS.

it is making in this case. I can replicate this on both Windows and Linux.

also on master

#7 - 2013-10-09 01:18 PM - Radim Blazek

Giovanni Manghi wrote:

Of the CRSs that the server make available this happens just with EPSG 3763, maybe is a projection support issue?

I see that also reprojecting the wms causes crash

I am able to reproduce the crash when WMS is reprojected. I have got different backtraces but one is similar to your. Good, I can debug.

#8 - 2013-10-12 07:24 AM - Pekka Sarkola

- File QGIS_NoCrash_WMS_invidual_Layers.qgs added

- File QGIS_Crash_WMS.qgs added

- File QGIS_Crash_WMS_v21.qgs added

- File QGIS_NoCrash_WMS_invidual_Layers_v21.qgs added

Hi!

I'm not sure if this is related, but I have problems with WMS layers on 2.0.1 (34139bc) and 2.1 Master (f4e0c83) on Windows. Both are crashing when I

open QGIS project with "combined" WMS layer. No crash if I have add WMS layers as "separated".

No crashes on Linux (Ubuntu 12.04).

To reproduce: I add QGIS project files which crash both version and project which are not crashing.

P
#9 - 2013-10-17 02:16 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"2b8197f19ae12a9779b27436ae250ba09447b62c".

#10 - 2013-10-17 02:17 AM - Radim Blazek

It should be fixed, there was really one byte more in memcpy.

Please test.

#11 - 2013-10-28 05:48 AM - Pekka Sarkola

Tested.

At least my examples are working. Thank you.

P

Files

QGIS_Crash_WMS.qgs 4.47 KB 2013-10-12 Pekka Sarkola

QGIS_Crash_WMS_v21.qgs 4.49 KB 2013-10-12 Pekka Sarkola

QGIS_NoCrash_WMS_invidual_Layers.qgs 5.06 KB 2013-10-12 Pekka Sarkola

QGIS_NoCrash_WMS_invidual_Layers_v21.qgs 5.06 KB 2013-10-12 Pekka Sarkola
